Page 3 of 4

Re: [Tool] ITB Mod Loader - v2.4.1

Posted: Tue Mar 31, 2020 5:40 am
by Arfy
Tycho X wrote:I've been trying to wrap my head around installing mods for ITB for several hours now. So many of them look so fantastic, however, they do all require this mod loader.

I've tried installing Wine; no success, tells me I need Bison 3.0.0 or newer, which I tried installing, unsuccessfully. It led me down a rabbithole of things I needed to install and I couldn't get it to run. Next, I got Mono for Mac, and though the installation seemed fine, I was unable to figure out what part of the mod loader to run next?

I recommend joining the Into the Breach Discord server (https://discord.gg/ZyVxdHS), as I believe a Mac user had success with installing the modloader and mods.

Re: [Tool] ITB Mod Loader - v2.5.0

Posted: Mon Apr 20, 2020 9:35 pm
by kartoFlane
Updated to new version of the game: 1.2.20. Check out the update notes for changes and a short list of steps on how to update.

Re: [Tool] ITB Mod Loader - v2.5.0

Posted: Tue Apr 21, 2020 6:05 pm
by kartoFlane
Added an important step to the BEFORE UPDATING list (which I had, of course, forgotten about).
You don't have to reinstall the game or mod loader if you've already done so, but without it the mod loader won't work correctly.

These changes will be performed automatically in a new version of the mod loader.

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Tue Apr 21, 2020 8:20 pm
by kartoFlane
Released version 2.5.1, which automatically applies the fixes mentioned above.

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Wed Apr 22, 2020 9:36 pm
by WaffleGames
Having an issue whenever i try to load Modded ITB

the game auto crashes immediately with a popup saying "EXCEPTION_ACCESS_VIOLATION" then "Callstack:" followed by multiple sequences of Numbers

And when i checked in my ITB files there was a new file called "Error" that had this:
...r/ftldat/kaitai_struct_lua_runtime/string_stream.lua:43: attempt to index field '_buf' (a nil value)

I don't know what to do, please help

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Thu Apr 23, 2020 4:16 am
by KnightMiner
WaffleGames wrote:Having an issue whenever i try to load Modded ITB

the game auto crashes immediately with a popup saying "EXCEPTION_ACCESS_VIOLATION" then "Callstack:" followed by multiple sequences of Numbers

And when i checked in my ITB files there was a new file called "Error" that had this:
...r/ftldat/kaitai_struct_lua_runtime/string_stream.lua:43: attempt to index field '_buf' (a nil value)

I don't know what to do, please help


Uninstall and reinstall the modloader. That looks like your `resource.dat` got corrupted, and reinstalling is the easiest way to restore it. If it still does not work, you might want to do a full reinstall, so uninstall the modloader and use Steams "Verify Game Files" or your local equivalent before reinstalling

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Fri Apr 24, 2020 9:06 pm
by Dr. Rotcod
Hi, I'm trying to install the mod loader. I put it in the file stated, but when I started the game, there's no button for mods. Did I miss a step or something?

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Mon Apr 27, 2020 11:35 am
by Xenesis
Dr. Rotcod wrote:Hi, I'm trying to install the mod loader. I put it in the file stated, but when I started the game, there's no button for mods. Did I miss a step or something?


Because the folder comes straight from the GitHub, you might be merging the wrong folder into it. You need to overwrite some files when you install it, and if it doesn't prompt that means you're adding in the wrong folder.

Re: [Tool] ITB Mod Loader - v2.5.1

Posted: Thu Apr 30, 2020 1:28 am
by tosx
If you haven't already, joining the Into the Breach Discord channel is the best way to get help with running mods.

Re: [Tool] ITB Mod Loader - v2.5.2

Posted: Wed May 06, 2020 7:40 pm
by kartoFlane
Published version 2.5.2, which adds a fix for weapon upgrades not having their names resolved, and improves initial loading time.